Subject: Re: [PATCH] rev-list: fix --reverse interaction with --parents

From: Junio C Hamano <[email-masked]>
Date: Sat, 30 Aug 2008 22:51:10 -0700

Thomas Rast <[email-masked]> writes:

> The bad news: I got as far as understanding that the repeated
> simplification must be at fault, but gave up on trying to see exactly
> _which step_ breaks the output.  Obviously parent rewriting is the
> prime suspect.

Yeah, I noticed that running simplify_commit() (hence rewrite_parents())
more than once on the same commit seems to do "unexpected" things, during
my (hitherto unsuccessful) attempt to to make the --simplify-merges
machinery incremental.